<% content_for :title, "Lista mailingów" %>

<p id="notice"><%= notice %></p>
  <%= link_to '<i class="fa fa-plus"></i> Dodaj mailing'.html_safe, new_mailing_path, class: "btn btn-primary btn-flat pull-right" %>
  <h1>Mailingi</h1>


<%= form_tag(mailings_path, :method => "get", id: "search-form") do %>

<div class="box box-primary">
  <div class="box-header">
    <h3 class="box-title">Wyszukiwarka mailingów</h3>
    <div class="box-tools">
      <button data-widget="collapse" class="btn btn-box-tool" type="button"><i class="fa fa-minus"></i>
      </button>
      <button data-widget="remove" class="btn btn-box-tool" type="button"><i class="fa fa-times"></i></button>
    </div>
  </div>
  <div class="box-body">
      <div class="row">
        <div class="col-md-1 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :id, "ID" %><br>
            <%= text_field_tag :id, params[:id], class: "form-control" %>
          </div>
        </div>
        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :name, "Nazwa" %><br>
            <%= text_field_tag :name, params[:name], placeholder: "Wpisz nazwę lub jej część", class: "form-control" %>
          </div>
        </div>
        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :description, "Opis" %><br>
            <%= text_field_tag :description, params[:description], placeholder: "Wpisz opis lub jego część", class: "form-control" %>
          </div>
        </div>
        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :author, "Autor" %><br>
            <%= select_tag(:author, options_from_collection_for_select(User.all, :id, :name, params[:author]), include_blank: true, class: "form-control") %>
          </div>
        </div>
        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :assign_to, "Przypisany do" %><br>
            <%= select_tag(:assign_to, options_from_collection_for_select(User.all, :id, :name, params[:assign_to]), include_blank: true, class: "form-control") %>
          </div>
        </div>

        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :status_id, "Status" %><br>
            <%= select_tag(:status_id, options_from_collection_for_select(MailingStatus.all, :id, :name, params[:status_id]), include_blank: true, class: "form-control") %>
          </div>
        </div>

        <div class="col-md-1 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :priority, "Priorytet" %><br>
            <%= select_tag(:priority, options_for_select(get_priorities, params[:priority]), include_blank: true, class: "form-control") %>
          </div>
        </div>
         
      </div>
      <div class="row">
        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :from, "Data wysyłki (od)" %><br>
            <%= text_field_tag(:from, params[:from], placeholder: "Od", class: "date form-control") %>
          </div>
        </div>
        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :from, "Data wysyłki (do)" %><br>
            <%= text_field_tag(:to, params[:to], placeholder: "Do", class: "date form-control") %>
          </div>
        </div>

        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :subject_group_id, "Grupa (przedmiot)" %><br>
            <%= select_tag(:subject_group_id, options_from_collection_for_select(SubjectGroup.all, :id, :name, params[:subject_group_id]), include_blank: true, class: "form-control") %>
          </div>
        </div>

        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :level_group_id, "Grupa (poziom)" %><br>
            <%= select_tag(:level_group_id, options_from_collection_for_select(LevelGroup.all, :id, :name, params[:level_group_id]), include_blank: true, class: "form-control") %>
          </div>
        </div>

        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :other_group_id, "Grupa (inne)" %><br>
            <%= select_tag(:other_group_id, options_from_collection_for_select(OtherGroup.all, :id, :name, params[:other_group_id]), include_blank: true, class: "form-control") %>
          </div>
        </div>

        <div class="col-md-2 col-sm-6 col-xs-12">
          <div class="form-group">
            <%= label_tag :has_group, "Dodany plik grupy" %><br>
            <%= select_tag(:has_group, options_for_select([['tak', 1], ['nie', 0]], params[:has_group]), include_blank: true, class: "form-control") %>
          </div>
        </div>

      </div>
  </div>


  <div class="box-footer clearfix">
    <%= button_tag(type: "submit", id:"mailingSearchSubmitBtn", class: "btn btn-large btn-primary", data: { disable_with: '<i class="fa fa-spinner fa-spin"></i> Proszę czekać...' }) do %>
        <i class="fa fa-search"></i> Szukaj
    <% end %>

    <%= button_tag(type: "button", id:"mailingSearchResetBtn", class: "btn btn-large btn-default", data: { disable_with_disable: '<i class="fa fa-spinner fa-spin"></i> Proszę czekać...' }) do %>
        <i class="fa fa-close"></i> Wyczyść wyszukiwanie
    <% end %>

    <div class="pull-right small text-right">znaleziono <%= t('.mailing', count: @mailings.count) %> <br /><%= link_to "eksportuj do pliku XLS", mailings_path(params.merge(format: "xls")) %> </div> 

  </div>
</div>
<% end %>


<div class="box">
  <div class="box-body table-responsive no-padding">
    <table class="table sortTable">
      <thead>
        <tr>
          <th><%= sortable "id", "ID", params %></th>
          <th><%= sortable "created_at", "Data utworzenia zlecenia e-maila", params  %></th>
          <th><%= sortable "name", "Nazwa", params  %></th>
          <th><%= sortable "send_date", "Data wysyłki", params  %></th>
          <th><%= sortable "assign_to", "Kto obecnie pracuje nad e-mailem", params  %></th>
          <th><%= sortable "status_id", "Status", params  %></th>
          <th><%= sortable "priority", "Priorytet", params  %></th>
          <th><%= sortable "has_group", "Grupa", params  %></th>
          <th><%= sortable "preview", "Podgląd", params  %></th>
          <th></th>
        </tr>
      </thead>

      <tbody>
        <% @mailings.each do |mailing| %>
          <tr class="<%= if (mailing.mailing_status.id == 5 unless mailing.mailing_status.nil?) then "bg-success"elsif  mailing.priority == "natychmiastowy" then "bg-danger" elsif  mailing.priority == "wysoki" then "bg-warning"  end %>">
            <td><%= mailing.id %></td>
            <td><span title="<%=localize mailing.created_at, :format => '%A'%>"><%= mailing.created_at.strftime("%d-%m-%Y, %H:%M") %></span><br />
            autor: <%= link_to mailing.author_id.name, mailing.author_id %></td>
            <td><%= link_to mailing.name, mailing %></td>
            <td>
              <span title="<%=localize mailing.send_date, :format => '%A' unless mailing.send_date.nil?%>">
                <%= mailing.send_date.to_formatted_s(:day_month_year) unless mailing.send_date.nil? %>
              </span>
            </td>
            <td><%= mailing.assign_to_id.nil? ? "" : mailing.assign_to_id.name %></td>
            <td><%= mailing.mailing_status.name unless mailing.mailing_status.nil? %></td>
            <td><%= mailing.priority %></td>
            <td>
              <% mailing.mailing_groups.each do |group| %>
                <div class="badge bg-light-blue">
                  <%= group.subject_group.name unless group.subject_group.nil? %>
                  <%= "| " + group.level_group.name unless group.level_group.nil? %>
                  <%= "| " + group.other_group.name unless group.other_group.nil? %>
                </div> <br />
              <% end %>
              <% if mailing.has_group %><div><i class="fa fa-tags" data-toggle="tooltip" title="Grupa dodana <%= mailing.group_date %>  "></i> <span data-toggle="tooltip" title="Grupa dodana <%= mailing.group_date %>  ">grupa jest dodana</span> </div><% end %>
            </td>
            <td>
              <% if mailing.preview_image.present? then %>
              <%= link_to (image_tag mailing.preview_image.url(:thumb)), mailing.preview_image.url, class: "fancybox" %>
              <% end %>
              <% if not mailing.preview.blank? %><br />
              <a href="<%= mailing.preview %>" target="_blank" rel="nofollow">podgląd online</a>
              <% end %>
            </td>
            <td><%= link_to 'Pokaż', mailing, class: "btn btn-primary btn-flat" %></td>
          </tr>
        <% end %>
      </tbody>
    </table>
  </div>
</div>

<%= will_paginate @mailings %>

